Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.awt
Class LineShapeDecoration

    java.lang.Object
      com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
          com.bbn.openmap.omGraphics.awt.SpacingShapeDecoration
              com.bbn.openmap.omGraphics.awt.LineShapeDecoration

All Implemented Interfaces:
  Revertable, ShapeDecoration

public class LineShapeDecoration
extends SpacingShapeDecoration

A decoration which is just a line.

Version:
  28 juil. 2002
Author:
  Eric LEPICIER

Field Summary

Fields inherited from interface com.bbn.openmap.omGraphics.awt.ShapeDecoration
`LEFT, RIGHT`

Constructor Summary
`LineShapeDecoration(float length)` Constructor.
`LineShapeDecoration(float length, java.awt.Paint paint)` Constructor.
`LineShapeDecoration(float length, java.awt.Paint paint, java.awt.Stroke stroke)` Constructor.

Method Summary
`void` | `draw(java.awt.Graphics g, java.awt.geom.Point2D[] points, boolean complete)` Draws itself along the specified polyline Called by ShapeDecorator

Methods inherited from class com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
`getLength, getOrientation, getPaint, getStroke, getWidth, restoreGraphics, revert, setGraphics, setLength, setOrientation, setPaint, setStroke, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineShapeDecoration

    public LineShapeDecoration(float length)

  Constructor.

Parameters:
  `length` -

### LineShapeDecoration

    public LineShapeDecoration(float length,
                               java.awt.Paint paint)

  Constructor.

Parameters:
  `length` -
  `paint` -

### LineShapeDecoration

    public LineShapeDecoration(float length,
                               java.awt.Paint paint,
                               java.awt.Stroke stroke)

  Constructor.

Parameters:
  `length` -
  `paint` -
  `stroke` -

Method Detail

### draw

    public void draw(java.awt.Graphics g,
                     java.awt.geom.Point2D[] points,
                     boolean complete)

  Description copied from interface: `ShapeDecoration`
  Draws itself along the specified polyline Called by ShapeDecorator

  Specified by:
    `draw` in interface `ShapeDecoration`
  Overrides:
    `draw` in class `SpacingShapeDecoration`
  See Also:
    `ShapeDecoration.draw(Graphics, Point2D[], boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details